%define module_name WebService-CEPH
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(File/Slurp.pm) perl(File/Temp.pm) perl(HTTP/Daemon.pm) perl(HTTP/Status.pm) perl(IO/Handle.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Net/Amazon/S3.pm) perl(POSIX.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/CPAN/Changes.pm) perl(Test/CPAN/Meta.pm) perl(Test/Deep.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spec.pm) perl(Test/Version.pm) perl(Time/Local.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.016
Release: alt1
Summary: CEPH Client for simple workflow
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/WebService-CEPH

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VS/VSESPB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
CEPH client for simple workflow, supporting multipart uploads. Most docs are in Russian.

.'.O.a.A.' .E.O.' CEPH, .N.o.. .A.a...a.'.'.e.'.B.A.o.B.'.u.' .a.'.E.O .E.O.' .'.N.'.o.A.a.' .' .N.a.N.O.a.'.'.o.a.'.v Amazon S3
(.'.A.O .B.'.A.o.'.o.A.O .B .'.'.E.o.O.'.A.'.v .a.O.O.'.').

.'.N.e.O.N.'.'.a.O .'.'.a.N.'.a (.a.'.a.O.'.'.o.A.a.' .a.' .'.a.Y .a.'.Y; .Y.'.B.'.'.e.' .A.o.'.E.O.'.A.'.' ...O.Y.e.'.'.'.B) - .A.O .'.'.B.o.'.'.a .N.'.O.o.o .A.a...a.'.'.e.'.B.A.o.B.'.v .N.a.N.O.a.'.'.o.a.a,
.o.'.O.a .a.A.'.o .A.o .u.O.e.O.A.'.a.e.'.o.'.'.' .B .'.'.'.v .E.'.a.'.'.o.A.'.O.'.a.a.

.'.O.e.O.'.o.'.e.' .a.'.A.'.'.e.'.a.'.'.e.O:

.'.N.'...O.'.o.O.'.A.'.o .Y.O.e.O.'.o.'.e.':

protocol - http/https

host - .'.'.'.' .N.'.a.'.A.E.O

bucket - .a.'.' .N.O.a.o.'.O

key - .a.O.'.' .E.O.' .B.'.'.E.O

secret - secret .E.O.' .B.'.'.E.O

.'.o.'.N.'...O.'.o.O.'.A.'.o .Y.O.e.O.'.o.'.e.':

driver_name - .B .E.O.A.A.'.v .'.'.'.o.A.' .'.'.O.'.a.' 'NetAmazonS3'

multipart_threshold - .Y.'.'.O.o .a.O.a.'.u.' .e.O...'.o.e.O .'.O.v.O.O (.B .N.O.v.'.O.') .A.O.'.a.A.O.'.' multipart upload

multisegment_threshold - .Y.'.'.O.o .a.O.a.'.u.' .e.O...'.o.e.O .'.O.v.O.O (.B .N.O.v.'.O.') .N.'.E.o.' multisegment download

query_string_authentication_host_replace - .Y.e.'.'.'.a.'.O-.'.'.'.' .A.O .a.'.'.'.e.'.v ...O.'.o.A.'.'.' URL .B query_string_authentication_uri
.E.'.O.c.o.A .A.O.'.a.A.O.'.'.'.' .' .Y.e.'.'.'.a.'.O.O (http/https), ...O.'.o.' .'.'.'.', .A.O .a.'.A.'.o .'.'.c.o.' .N.'.'.', .O .'.'.c.o.' .A.o .N.'.'.' .'.O.'.'.O.
.A.'.c.o.A .o.'.O.a .B.' .'.'.'.a.'.o .'.'.o.A.a.'.' .'.'.'.' .E.O.' .'.'.E.O.'.a .a.O.a.o.A.'.O.' (.' .B.O.' .a.O.O.'.'.o.e) .a.O.a .Y.e.'.'.'.a.'.O (https .B.A.o.'.A.a.' .a.O.a.o.A.'.O.')
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/W*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.016-alt1
- regenerated from template by package builder

* Tue Nov 07 2017 Igor Vlasenko <viy@altlinux.ru> 0.015-alt1
- regenerated from template by package builder

* Sun Aug 07 2016 Igor Vlasenko <viy@altlinux.ru> 0.014-alt1
- regenerated from template by package builder

* Sun Jul 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.013-alt1
- initial import by package builder

